Precise -> Trusty upgrade fails: plainbox fails to configure with E: py3compile:243: Requested versions are not installed

Bug #1296588 reported by Jean-Baptiste Lallement on 2014-03-24
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
plainbox (Ubuntu)
Critical
Unassigned

Bug Description

Upgrade from Precise to Trusty Desktop [1][2] fails due to plainbox with:

Setting up python3-plainbox (0.4-4) ...
E: py3compile:243: Requested versions are not installed
dpkg: error processing package python3-plainbox (--configure):
 subprocess installed post-installation script returned error exit status 3
dpkg: dependency problems prevent configuration of python3-checkbox-ng:
 python3-checkbox-ng depends on python3-plainbox; however:
  Package python3-plainbox is not configured yet.

dpkg: error processing package python3-checkbox-ng (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of checkbox-ng:
 checkbox-ng depends on python3-checkbox-ng; however:
  Package python3-checkbox-ng is not configured yet.

dpkg: error processing package checkbox-ng (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of checkbox-ng-service:
 checkbox-ng-service depends on checkbox-ng; however:
  Package checkbox-ng is not configured yet.

dpkg: error processing package checkbox-ng-service (--configure):
 dependency problems - leaving unconfigured
Setting up python3-pyparsing (2.0.1+dfsg1-1build1) ...
dpkg: dependency problems prevent configuration of checkbox-gui:
 checkbox-gui depends on checkbox-ng-service; however:
  Package checkbox-ng-service is not configured yet.

dpkg: error processing package checkbox-gui (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of checkbox-qt:
 checkbox-qt depends on checkbox-gui; however:
  Package checkbox-gui is not configured yet.

dpkg: error processing package checkbox-qt (--configure):
 dependency problems - leaving unconfigured

[1] https://jenkins.qa.ubuntu.com/view/Upgrade/search/?q=upgrade-ubuntu-precise-trusty-desktop&max=40
[2] https://jenkins.qa.ubuntu.com/view/Upgrade/job/upgrade-ubuntu-precise-trusty-desktop-amd64/75/

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: plainbox (not installed)
ProcVersionSignature: Ubuntu 3.13.0-18.38-generic 3.13.6
Uname: Linux 3.13.0-18-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Mar 24 10:05:19 2014
InstallationDate: Installed on 2013-09-03 (201 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
SourcePackage: plainbox
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
Changed in plainbox (Ubuntu):
importance: Undecided → Critical
tags: added: rls-t-tracking
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plainbox (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

plainbox depends on python3:any (<< 3.4) and Trusty has

 python3 | 3.4~rc1-1 | trusty | amd64, arm64, armhf, i386, powerpc, ppc64el
 python3 | 3.4.0-0ubuntu2 | trusty-proposed | amd64, arm64, armhf, i386, powerpc, ppc64el

Changed in plainbox (Ubuntu):
status: Confirmed → Triaged
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1296588

tags: added: iso-testing
Margarita Manterola (marga-9) wrote :

This bug is also affecting new installs:

Mar 24 11:26:11 in-target: Setting up python3-plainbox (0.4-4) ...
Mar 24 11:26:11 in-target: E: py3compile:243: Requested versions are not installed
Mar 24 11:26:11 in-target: dpkg: error processing package python3-plainbox (--configure):
Mar 24 11:26:11 in-target: subprocess installed post-installation script returned error exit status 3
Mar 24 11:26:11 in-target: dpkg: dependency problems prevent configuration of python3-checkbox-ng:
Mar 24 11:26:11 in-target: python3-checkbox-ng depends on python3-plainbox; however:
Mar 24 11:26:11 in-target: Package python3-plainbox is not configured yet.
Mar 24 11:26:11 in-target:
Mar 24 11:26:11 in-target: dpkg: error processing package python3-checkbox-ng (--configure):
Mar 24 11:26:11 in-target: dependency problems - leaving unconfigured
Mar 24 11:26:11 in-target: dpkg: dependency problems prevent configuration of checkbox-ng:
Mar 24 11:26:11 in-target: checkbox-ng depends on python3-checkbox-ng; however:
Mar 24 11:26:11 in-target: Package python3-checkbox-ng is not configured yet.
Mar 24 11:26:11 in-target:
Mar 24 11:26:11 in-target: dpkg: error processing package checkbox-ng (--configure):
Mar 24 11:26:11 in-target: dependency problems - leaving unconfigured
Mar 24 11:26:11 in-target: dpkg: dependency problems prevent configuration of checkbox-ng-service:
Mar 24 11:26:11 in-target: checkbox-ng-service depends on checkbox-ng; however:
Mar 24 11:26:11 in-target: Package checkbox-ng is not configured yet.
Mar 24 11:26:11 in-target:
Mar 24 11:26:11 in-target: dpkg: error processing package checkbox-ng-service (--configure):
Mar 24 11:26:11 in-target: dependency problems - leaving unconfigured

Jean-Baptiste Lallement (jibel) wrote :

Fixed and confirmed with latest run of automated tests.

Changed in plainbox (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments